import request from '@/utils/request'

// 确认MATERIALRAW完成确认清单
export function handleConfirmMaterialRaw(data) {
  return request({
    url: '/pssr/materialRaw/confirmMaterialRaw',
    method: 'put',
    data: data
  })
}

// 驳回MATERIALRAW完成确认清单
export function handleTurnDownMaterialRaw(data) {
  return request({
    url: '/pssr/materialRaw/turnDownMaterialRaw',
    method: 'put',
    data: data
  })
}


// 查询原料列表
export function listMaterialRaw(query) {
  return request({
    url: '/pssr/materialRaw/list',
    method: 'get',
    params: query
  })
}

// 查询原料详细
export function getMaterialRaw(id) {
  return request({
    url: '/pssr/materialRaw/' + id,
    method: 'get'
  })
}

// 新增原料
export function addMaterialRaw(data) {
  return request({
    url: '/pssr/materialRaw',
    method: 'post',
    data: data
  })
}

// 修改原料
export function updateMaterialRaw(data) {
  return request({
    url: '/pssr/materialRaw',
    method: 'put',
    data: data
  })
}

//
export function updateMaterialRawBatch(data) {
  return request({
    url: '/pssr/materialRaw/editBatch',
    method: 'put',
    data: data
  })
}

//
export function updateMaterialRawBatchBatch(data) {
  return request({
    url: '/pssr/materialRaw/editBatch/editBatch',
    method: 'put',
    data: data
  })
}



// 删除原料
export function delMaterialRaw(id) {
  return request({
    url: '/pssr/materialRaw/' + id,
    method: 'delete'
  })
}

// 导出原料
export function exportMaterialRaw(query) {
  return request({
    url: '/pssr/materialRaw/export',
    method: 'get',
    params: query
  })
}
